Season 15 and Demonbuddy, working as of 21th September 2018!
  • Visit Rebornbuddy
  • Visit Demonbuddy

[Plugin] Advanced Map Device

Discussion in 'Community Releases' started by PsychoJr, Jan 17, 2018.

  1. PsychoJr

    PsychoJr New Member

    Joined:
    Aug 21, 2017
    Messages:
    3
    Likes Received:
    7
    Trophy Points:
    3
    Since the plugin was leaked and sold for money, here it is for everybody.

    [​IMG]

    Advanced Map Device that allows you to pick a map mod for Zana's map device. In order for it to work you must choose your game resolution, since the EB Api has no support for zana map mods. It currently supports only 3 resolutions (800x600, 1024x768, 1920x1080), and a map mod (they go from 1 to 8, the number is based on what's inside your zana map device).

    Changelog
    • 0.0.0.2 - fixed an issue with mods position.
    • 0.0.0.1 - initial version released.

    Special thanks to WiN for helping me create this plugin.
     

    Attached Files:

    Last edited: Jan 20, 2018
    amarketkindaguy, Evilinex and tofm like this.
  2. PsychoJr

    PsychoJr New Member

    Joined:
    Aug 21, 2017
    Messages:
    3
    Likes Received:
    7
    Trophy Points:
    3
    New version uploaded, fixed an issue with map mods position on the map device.
     
  3. Evilinex

    Evilinex New Member

    Joined:
    Jan 28, 2018
    Messages:
    19
    Likes Received:
    0
    Trophy Points:
    1
    dont work breach mod
     
  4. Leonaonly

    Leonaonly New Member

    Joined:
    Aug 27, 2015
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    Hey man thanks for the plugin,

    had a question with regards to running harbinger mod as there is no 8 option for me it has two 7's for some reason, and the second 7 picks perandus as well.
     
  5. xzee

    xzee New Member

    Joined:
    Apr 13, 2018
    Messages:
    2
    Likes Received:
    1
    Trophy Points:
    1
    For some reason bot used old portals from previous maps and start stashing and picking the same map for stash. In the log it says: [DeviceAreaTask] Fail to find any active map portal.
     
    t6nism likes this.
  6. Pachi

    Pachi Member

    Joined:
    May 31, 2011
    Messages:
    117
    Likes Received:
    9
    Trophy Points:
    18
    I can confirm that map mod 8 does not work
     
  7. gamemaste789

    gamemaste789 Member

    Joined:
    Mar 13, 2014
    Messages:
    90
    Likes Received:
    7
    Trophy Points:
    8
    I can't get this to work at all, buddy/poe running as admin
     
    t6nism likes this.
  8. t6nism

    t6nism New Member

    Joined:
    Aug 1, 2016
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    1
  9. pushedx

    pushedx Moderator Moderator Buddy Core Dev

    Joined:
    Sep 24, 2013
    Messages:
    4,258
    Likes Received:
    290
    Trophy Points:
    83
    This specific plugin is no longer needed with official API support for: MasterDeviceUi.ActivateWithOption

    I'd suggest people rewrite it using the new API, as it'll handle scrolling and selecting options for any master device under any resolution.
     
    demonviper, Pachi, t6nism and 2 others like this.
  10. demonviper

    demonviper Active Member

    Joined:
    Apr 8, 2014
    Messages:
    536
    Likes Received:
    56
    Trophy Points:
    28
    No one has rewritten this with the new API correct? This is broken as shit from what i can tell sadly :(
     
  11. pushedx

    pushedx Moderator Moderator Buddy Core Dev

    Joined:
    Sep 24, 2013
    Messages:
    4,258
    Likes Received:
    290
    Trophy Points:
    83
    Support is currently in MapBot/EXtensions in the Alpha version of EB (https://www.thebuddyforum.com/threads/exilebuddy-pre-3-3-alpha-thread.418892).

    Beta/Release will get the same code for the 3.3 expansion, as what is now Alpha will be the new Beta/Release then.
     
  12. demonviper

    demonviper Active Member

    Joined:
    Apr 8, 2014
    Messages:
    536
    Likes Received:
    56
    Trophy Points:
    28

Share This Page